import java.awt.*;

public class GreyScale extends ColorScheme {

    public GreyScale() {
	schemename= "GreyScale";
	highlight = Color.RED;
    }

    public Color getColor(double scaledI) {
	if(scaledI < 0.0) scaledI = 0.0;
	if(scaledI > 1.0) scaledI = 1.0;
	
	float value = (float) scaledI;
	return new Color(value, value, value);
    }

    public Color getHighlight() { return Color.RED; }
}
